/* -----------Css-variable------ */

:root {
    --primary: #7b16d9;
    --body-text: #3e3f66;
    --white: #ffffff;
    --black: #000000;
    --gray: #949494;
    --lighter-black: #1a1a1a;
    --lighter1: #f6f4fe;
    --lighter2: #DFDAF3;
    --lighter3: #c1c0d3;
    --purplishgray: #e2dcff;
    --border: #e1dbfc;
    --border-2: #4f4f4f;
    --slider-dots-color: #403f43;
    --red-color: #ee6464;
    --green-color: #33c433;

    /* gradient root css*/
    --gradient-start: #7b16d9;
    /* Start color */
    --gradient-end: #ff007b;
    /* End color */
    --gradient-angle: 45deg;
    /* Angle of gradient */

    /* REVERCE gradient root css*/
    --reverse-gradient-start: #ff007b;
    /* Start color */
    --reverse-gradient-end: #7b16d9;
    /* End color */
    --reverse-gradient-angle: 45deg;
    /* Angle of gradient */

    /* box shaow */
    --box-shadow: 0px 10px 19px -1px rgba(234, 230, 254, 1);
}



/* ------Common-Css------------- */

html {
    scroll-behavior: smooth;
    /*overflow-x: hidden;*/
}

body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 18px;
    line-height: 1.7;
    font-family: "Plus Jakarta Sans", sans-serif;
    color: var(--body-text);
    background-color: var(--white);
    overflow-x: hidden;
}

img {
    max-width: 100%
}

.page_wrapper {
    width: 100%;
    overflow-x: hidden;
}


a {
    text-decoration: none;
    color: var(--body-text);
}

a:hover {
    text-decoration: none;
    color: var(--body-text);
}

ul,
li {
    padding: 0;
    list-style-type: none;
    margin: 0;
}

button:focus,
.btn.focus,
.btn:focus {
    outline: none;
    box-shadow: none;
}


/** Text Gradient */
.primary-gradient {
    color: #7b16d9;
    background-image: linear-gradient(90deg, #7b16d9 0%, #ff007b 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}


/* heding font size */

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 700;
    color: var(--black);
}

h1 {
    font-size: 60px;
}

h2 {
    font-size: 50px;
}

h3 {
    font-size: 40px;
}

h4 {
    font-size: 30px;
}

h5 {
    font-size: 25px;
}

h6 {
    font-size: 20px;
}

.container,
.container-fluid,
.container-lg,
.container-md,
.container-sm,
.container-xl {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto
}


/* header nav */

header nav {
    padding: 15px 25px;
    background: var(--white);
    border: solid 1px var(--border);
    border-radius: 100px;
    margin-top: 20px;
    -webkit-box-shadow: var(--box-shadow);
    -moz-box-shadow: var(--box-shadow);
    -o-box-shadow: var(--box-shadow);
    box-shadow: var(--box-shadow);
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

header nav>a {
    display: flex;
    align-items: center;
    padding-top: .3125rem;
    padding-bottom: .3125rem;
    margin-right: 1rem;
    font-size: 1.25rem;
    line-height: inherit;
    white-space: nowrap;
}

header nav>a>img {
    width: 135px;
}

header nav>div {
    flex-basis: 100%;
    flex-grow: 1;
    align-items: center;
}

header nav>div>ul {
    align-items: center;
    margin-left: auto !important;
    display: flex;
    flex-direction: column;
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
}

header nav>div>ul>li.active {
    color: var(--primary);
    background: var(--white);
    border-radius: 100px;
    border: solid 1px var(--border);
    -webkit-box-shadow: 0 5px 10px 0 #eae6fe;
    -moz-box-shadow: 0 5px 10px 0 #eae6fe;
    box-shadow: 0 5px 10px 0 #eae6fe;
}

header nav>div>ul>li>a {
    padding: 5px 20px;
    font-weight: 500;
    font-size: 16px;
}

header nav>div>ul>li>a:hover {
    color: var(--primary);
}

header nav>input {
    display: none;
    position: absolute;
    left: -9999px;
}

header nav>label {
    /* display: none; */
    cursor: pointer;
    padding: .25rem .75rem;
    font-size: 1.25rem;
    line-height: 1;
    background-color: transparent;
    border: 1px solid transparent;
    border-radius: .25rem;
}

header nav>label>span {
    display: flex;
    align-items: center;
    color: var(--body-text-purple);
    justify-content: flex-end;
    display: inline-block;
    width: 1.5em;
    height: 1.5em;
    vertical-align: middle;
    content: "";
    background: 50% / 100% 100% no-repeat;
}

header nav>label>span>div {
    padding: 10px;
    position: relative;
    cursor: pointer;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

header nav>label>span>div>span {
    width: 25px;
    margin: 10px 0;
    position: relative;
    border-top: 2px solid var(--body-text);
    display: block;
}

header nav>label>span>div>span::before {
    content: "";
    display: block;
    background: var(--body-text);
    height: 2px;
    width: 30px;
    position: absolute;
    top: -12px;
    right: 0;
    -ms-transform: rotate(0);
    -webkit-transform: rotate(0);
    transform: rotate(0);
    -ms-transform-origin: 13%;
    -webkit-transform-origin: 13%;
    transform-origin: 7%;
    transition: .2s ease-in-out;
}

header nav>label>span>div>span::after {
    content: "";
    display: block;
    background: var(--body-text);
    height: 2px;
    width: 30px;
    position: absolute;
    top: -12px;
    right: 0;
    -ms-transform: rotate(0);
    -webkit-transform: rotate(0);
    transform: rotate(0);
    -ms-transform-origin: 13%;
    -webkit-transform-origin: 13%;
    transform-origin: 7%;
}

/* language switch */
.lang-switch {
    position: fixed;
    bottom: 20px;
    left: 20px;
    display: flex;
    border-radius: 100px;
    overflow: hidden;
    background: linear-gradient(var(--gradient-angle), var(--gradient-start), var(--gradient-end));
    transition: .4s;
    box-shadow: var(--box-shadow);
}

.lang-switch a {
    padding: 5px 15px;
    color: var(--white);
    text-decoration: none;
    transition: .4s;
    font-weight: 500;
    font-size: 16px;
}

.lang-switch a:hover {
    background-color: var(--white);
    color: var(--body-text);
}

.lang-switch a.active {
    background-color: var(--white);
    color: var(--body-text);
}


/* media query */
@media (min-width: 576px) {

    .container,
    .container-sm {
        max-width: 540px
    }
}

@media (min-width: 768px) {

    .container,
    .container-md,
    .container-sm {
        max-width: 720px
    }
}

@media (min-width: 992px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm {
        max-width: 960px
    }

    header nav {
        flex-flow: row nowrap;
        -ms-flex-pack: start;
        justify-content: flex-start;
    }

    header nav>div {
        display: flex !important;
        flex-basis: auto;
    }

    header nav>div>ul {
        flex-direction: row;
    }

    header nav>label {
        display: none;
    }
}

@media (min-width: 1200px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl {
        max-width: 1326px;
    }
}